import torch.nn as nn
from torch import relu, sigmoid


class NNet(nn.Module):
    def __init__(self):
        super(NNet, self).__init__()
        self.ll1 = nn.Linear(100, 1000)
        self.ll2 = nn.Linear(1000, 400)
        self.ll3 = nn.Linear(400, 1)

    def forward(self, x):
        x = relu(self.ll1(x))
        x = relu(self.ll2(x))
        x = sigmoid(self.ll3(x))
        return x
